const r = (t) => {
  const e = {};
  return t.forEach((c) => {
    Object.assign(e, c);
  }), e;
}, s = (t, e) => r(
  Object.entries(e).map(([c, n]) => t(c, n))
);
export {
  r as combineObjects,
  s as mapAndReduceOver
};
